Timekit developers

POST Invite resources to app

Invite existing resources to your app

You can invite an already existing resource by using this endpoint. The resource will receive an email with a link, once the resource clicks the link it will be added to your app.

Endpoint

POST https://api.timekit.io/v2/app/invite

Parameters

Name In Type Required Default Description
email body string yes The email you want to invite to your app

Request examples

curl
curl --request POST \
  --url https://api.timekit.io/v2/app/invite \
  --header 'Content-Type: application/json' \
  --user :live_api_key_7nzvc7wsBQQISLeFSVhROys9V1bUJ1z7 \
  --data '{
  	"email": "invite-this-email@example.org"
  }'

Responses

A successful invite returns 200 with an empty body.

If no resource exists with that email, the API returns 404. If the resource is already part of your app, the API returns 400 with the message "Resource is already part of this app".

Last edited 6 October 2026.